wxRuby Documentation Home

# Wx::MoveEvent

A move event holds information about move change events.

## Derived from

Event

Object

## Event table macros

To process a move event, use this event handler macro to direct input to a member
function that takes a MoveEvent argument.

evt_move() { | event | … } | Process a EVT_MOVE event, which is generatedwhen a window is moved.

## See also

Point, Event handling overview

## Methods

- MoveEvent.new
- MoveEvent#get_position

### MoveEvent.new

MoveEvent.new(%(arg-type)Point% pt, Integer id = 0)

Constructor.

### MoveEvent#get_position

Point get_position()

Returns the position of the window generating the move change event.

[This page automatically generated from the Textile source at 2023-06-09 00:45:32 +0000]